SoulFire LogoSoulFire

Get script status

Gets the current status of a script. Returns whether the script is active, which node is executing, and activation count.

GET
/v1/instances/{instance_id}/scripts/{script_id}/status

Gets the current status of a script. Returns whether the script is active, which node is executing, and activation count.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string

The instance containing the script. Format: UUID string.

Formatuuid
script_id*string

The ID of the script to check. Format: UUID string.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/scripts/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"
{  "status": {    "scriptId": "f0627ad0-1039-49a9-8db1-75a1523ed451",    "isActive": true,    "activeNodeId": "string",    "activationCount": "string"  }}

How is this page?